Subject: Re: bug#58036: kernel module not found "pata_acpi" in linux-libre-5.19.10

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 26 Sep 2022 08:28:20 -0400

Hi!

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> While attempting to reconfigure the overdrive1 aarch64 machine, I got:
>>
>> substitute: ^Msubstitute: ESC[Kupdating substitutes from 'https://ci.guix.gnu.org'...   0.0%^Msubstitute: ESC[Kupdating substitutes from 'https://ci.guix.gnu.org'... 100.0%
>> @ build-started /gnu/store/x9qdj37d6l2yacc73bx284ggj6vkhcdv-linux-modules.drv - aarch64-linux /var/log/guix/drvs/x9//qdj37d6l2yacc73bx284ggj6vkhcdv-linux-modules.drv.gz 31574
>> Backtrace:
>> In ice-9/eval.scm:
>>     619:8 19 (_ #f)
>>    626:19 18 (_ #<directory (guile-user) 5ebc80>)
>>    293:34 17 (_ #(#<directory (guile-user) 5ebc80> #<procedure loo?>))
>> In srfi/srfi-1.scm:
>>    586:29 16 (map1 _)
>>    586:29 15 (map1 _)
>>    586:29 14 (map1 _)
>>    586:29 13 (map1 _)
>>    586:29 12 (map1 _)
>>    586:29 11 (map1 _)
>>    586:29 10 (map1 _)
>>    586:29  9 (map1 _)
>>    586:29  8 (map1 _)
>>    586:29  7 (map1 _)
>>    586:29  6 (map1 _)
>>    586:29  5 (map1 _)
>>    586:29  4 (map1 _)
>>    586:29  3 (map1 _)
>>    586:29  2 (map1 _)
>>    586:17  1 (map1 ("pata_acpi" "pata_atiixp" "isci" "virtio_pci" # ?))
>> In gnu/build/linux-modules.scm:
>>     257:5  0 (_)
>>
>> gnu/build/linux-modules.scm:257:5: kernel module not found "pata_acpi" "/gnu/store/nmdy7c4i34y12w8af7zl6sl9fmrp8wa0-linux-libre-5.19.10/lib/modules"
>> builder for `/gnu/store/x9qdj37d6l2yacc73bx284ggj6vkhcdv-linux-modules.drv' failed with exit code 1
>
> This is the derivation made by ‘flat-linux-module-directory’ in (gnu
> system linux-initrd).
>
> How did you work around it?

I had to use the previous version of the latest linux-libre kernel, by
using this commit:

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=08d515233241ee0921b8b5ab706f98170c62437c -- \
    deploy -L modules deploy-overdrive1.scm
--8<---------------cut here---------------end--------------->8---

And on the first attempt I had to run reconfigure with
--allow-downgrades locally due to a previously failing 'deploy' having
left the failed deploy generation as 'active' which was generated on a
later Guix commit.

There's currently no '--allow-downgrades' for 'guix deploy'.

It's strange that you cannot reproduce it.  I was running that from my
home x86_64 Guix System machine which is authorized on overdrive1 and
has SSH access to it.

Thanks,

Maxim